#!/bin/bash

set -e

cat >/etc/default/icecast2 <<EOF
CONFIGFILE="/etc/icecast2/icecast.xml"
USERID=icecast2
GROUPID=icecast
ENABLE=true
EOF

most_recent_match() {
  local pattern="$1"
  ls -t ${pattern} | head -1
}

# Install the required packages.
export DEBIAN_FRONTEND=noninteractive
apt-get -q update
yes N 2>/dev/null | apt-get install -q -y runit icecast2 libcap2-bin liquidsoap
dpkg -i $(most_recent_match /vagrant/etcd_*.deb)
dpkg -i $(most_recent_match /vagrant/autoradio_*.deb)

# Install the configuration.
DOMAIN="${DOMAIN:-$1}"
if [ -n "${DOMAIN}" ]; then
  echo "Autoconfigured with domain: ${DOMAIN}" 1>&2
  echo "DOMAIN=${DOMAIN}" > /etc/default/autoradio
fi
echo "REDIRECTORD_OPTIONS=\"--enable-icecast-proxy\"" >> /etc/default/autoradio

echo "All done (?)" 1>&2
exit 0

